<div class=" ui-g-12 ui-md-12 ui-lg-12 ui-xl-12">
  <p-toast [style]="{marginTop: '80px'}" position="top-right" key="form-toast"></p-toast>
  <p-card class="centralized">
    <p-header class="header-card-form">
      <div class="ui-helper-clearfix title-card-header">
        <b><span class="ui-panel-title">Adicionar novo cliente</span></b>
      </div>
    </p-header>
  <form [formGroup]="clienteForm" >
    <div class="">
      <div class="ui-g ui-fluid">
        <div class="ui-g-12">
          <label class="required" for="itemName">Nome do Cliente:</label>
          <div class="ui-inputgroup">
            <input #nomeFormInput type="text" id="nome" name="nome" pInputText formControlName="nome" autocomplete="off" placeholder="Ex: Fulano de tal"/>
          </div>
        </div>

        <div class="ui-g-12 ui-md-6 ui-lg-4">
          <label for="itemName">Data de Nascimento:</label>
          <div class="ui-inputgroup">
            <p-calendar formControlName="data_nascimento" dateFormat="dd/mm/yy"></p-calendar>
          </div>
        </div>

        <div class="ui-g-12 ui-md-6 ui-lg-4">
          <label for="itemName">CPF:</label>
          <div class="ui-inputgroup">
            <input #cpfFormInput type="text" id="cpf" name="cpf" pInputText formControlName="cpf" autocomplete="off" placeholder="Ex: 012.227.992-19"/>
          </div>
        </div>

        <div class="ui-g-12">
          <label >Tipo de cliente:</label>
          <div class="ui-g-12">
              <p-dropdown formControlName="tipo"  [options]="tipos" id="tipo" ></p-dropdown>
          </div>
        </div>

        <div class="ui-md-6">
            <label class="required" for="itemName">Usuário:</label>
            <div class="ui-inputgroup">
              <input #nomeFormInput type="text" formControlName="nome_login"  id="nome_login" name="nome_login" pInputText  autocomplete="off" />
            </div>
          </div>

          <div class="ui-md-6">
              <label class="required" for="itemName">Senha:</label>
              <div class="ui-inputgroup">
                <input #nomeFormInput type="password" formControlName="senha_login"  id="senha_login" name="senha_login" pInputText  autocomplete="off" />
              </div>
            </div>

      </div>
      <p-footer>
        <div class="group-button">
          <button pButton type="button" (click)="onSave($event)" label="Salvar" class="ui-button-raised ui-button-success"></button>
          <button pButton type="button" (click)="onCancel()" label="Cancelar" class="ui-button-raised ui-button-danger"></button>
        </div>
      </p-footer>
    </div>
  </form>
</p-card>
</div>

